POST api/NTPatientScheduling/SendNotificationProvider
Request Information
URI Parameters
None.
Body Parameters
SendProviderNotificationDto| Name | Description | Type | Additional information |
|---|---|---|---|
| NotificationTypeId | integer |
None. |
|
| ProviderId | integer |
None. |
|
| ProviderEmail | string |
String length: inclusive between 0 and 50 |
|
| ProviderCellPhone | string |
String length: inclusive between 0 and 20 |
|
| PatientName | string |
String length: inclusive between 0 and 200 |
|
| CaseNo | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"NotificationTypeId": 1,
"ProviderId": 2,
"ProviderEmail": "sample string 3",
"ProviderCellPhone": "sample string 4",
"PatientName": "sample string 5",
"CaseNo": 6
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfSendProviderNotificationDto| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | SendProviderNotificationDto |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"NotificationTypeId": 1,
"ProviderId": 2,
"ProviderEmail": "sample string 3",
"ProviderCellPhone": "sample string 4",
"PatientName": "sample string 5",
"CaseNo": 6
},
"totalCount": 3
}